Project

General

Profile

Bug #7219

vlan(4) interfaces do not have ALTQ support on pfSense 2.4, they had ALTQ support on 2.3

Added by Zart Zurt 3 months ago. Updated 2 months ago.

Status:
Resolved
Priority:
Normal
Category:
Traffic Shaper
Target version:
Start date:
02/06/2017
Due date:
% Done:

100%

Affected version:
2.4
Affected Architecture:

Description

Adding a VLAN interface on the Traffic Shaper doesn't work.

rc.filter_configure_sync: New alert found: There were error(s) loading the rules: pfctl: igb0_vlan10: driver does not support altq - The line in question reads
:

History

#1 Updated by Phillip Davis 3 months ago

What version of pfSense - 2.3.2-p1, 2.3.3-DEVELOPMENT or 2.4-BETA?

#2 Updated by Jim Pingle 3 months ago

  • Subject changed from Traffic Shaper: VLAN driver on ADI hardware SG-4860 does not work to vlan(4) interfaces do not have ALTQ support on pfSense 2.4, they had ALTQ support on 2.3
  • Category set to Traffic Shaper
  • Status changed from New to Confirmed
  • Assignee set to Luiz Otavio O Souza
  • Target version set to 2.4.0
  • Affected version set to 2.4

The problem, as stated, was incorrect. It's a problem with vlan(4) ALTQ support in general, not specific to any hardware. Subject corrected.

#3 Updated by Luiz Otavio O Souza 2 months ago

  • Status changed from Confirmed to Feedback
  • % Done changed from 0 to 100

#4 Updated by Jakub Osika 2 months ago

SG-1000
2.4.0.b.20170211.0742

Can confirm that ALTQ with vlans now works.

#5 Updated by Jim Pingle 2 months ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF